# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "dittolive-ditto-base"
version = "4.8.4"
authors = ["Ditto Engineering Team <engineering@ditto.live>"]
publish = true
description = "This is a support crate for Ditto: dittolive-ditto is the crate we intend for you to interact with."
homepage = "https://www.ditto.live"
documentation = "https://docs.ditto.live/"
keywords = [
    "sdk",
    "distributed",
    "peer-to-peer",
    "database",
    "bluetooth",
]
categories = [
    "database-implementations",
    "external-ffi-bindings",
    "database",
]
license-file = "LICENSE.md"
resolver = "2"

[lib]

[dependencies.base64]
version = "0.21.7"

[dependencies.safer-ffi]
version = "0.1.9-rc1"

[dependencies.serde]
version = "1.0.171"

[dependencies.stabby]
version = "6.2.2"
optional = true

[dependencies.thiserror]
version = "1.0.48"

[features]
default = []
experimental-flag = []
experimental-pk = [
    "experimental-flag",
    "experimental-pk-serde",
]
experimental-pk-serde = ["experimental-flag"]
stabby = [
    "experimental-flag",
    "dep:stabby",
    "safer-ffi/stabby",
]
